<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<%@taglib prefix="t" uri="/WEB-INF/eclnt"%>


<!-- ========== CONTENT BEGIN ========== -->
<f:view>
<h:form>
<f:subview id="tools_ccwscall_wsdlimportg_sv">
<t:rowbodypane id="g_1" background="null!" bgpaint="null!" padding="0" >
<t:row id="g_2" >
<t:foldablepane id="g_3" rowdistance="2" text="(1) Import WSDL from File System" width="100%" >
<t:row id="g_4" >
<t:coldistance id="g_5" width="100" />
<t:fileuploadbutton id="g_6" actionListener="#{t.UIWSDLImport.onUplaodWSDL}" fileextensions="wsdl" maxfilesize="500000" text="Load WSDL from File System" width="200" />
</t:row>
<t:row id="g_7" >
<t:label id="g_8" align="right" text="...or via URL: " width="100" />
<t:field id="g_9" text="#{t.UIWSDLImport.wsdlURL}" width="100%" />
<t:coldistance id="g_10" width="10" />
<t:button id="g_11" actionListener="#{t.UIWSDLImport.onLoadWsdlURL}" text="Load" />
</t:row>
<t:rowdistance id="g_12" height="5" />
<t:rowline id="g_13" height="1" />
<t:rowdistance id="g_14" height="5" />
<t:row id="g_15" >
<t:label id="g_16" text="WSDL Name" width="100" />
<t:field id="g_17" enabled="true" text="#{t.UIWSDLImport.wsdlFileNameWithoutExtension}" width="150" />
<t:label id="g_18" text=" .wsdl" />
</t:row>
<t:row id="g_19" >
<t:label id="g_20" text="File Content" width="100" />
<t:textarea id="g_21" border="#FFFFFF80" enabled="false" height="80" text="#{t.UIWSDLImport.wsdlContent}" width="100%" />
</t:row>
<t:rowdistance id="g_22" height="3" />
<t:row id="g_23" >
<t:coldistance id="g_24" width="100" />
<t:button id="g_25" actionListener="#{t.UIWSDLImport.onImportWSDL}" enabled="#{t.UIWSDLImport.wsdlFileNameWithoutExtension != null}" text="Import into Project" width="200" />
</t:row>
</t:foldablepane>
</t:row>
<t:row id="g_26" >
<t:foldablepane id="g_27" height="100%" rowdistance="2" text="(2) Generate Axis2 Stub for WSDL" width="100%" >
<t:row id="g_28" >
<t:coldistance id="g_29" width="100%" />
<t:icon id="g_30" actionListener="#{t.UIWSDLImport.onRefresh}" image="/tools/ccwscall/images/arrow_refresh.png" rowalignmenty="top" />
</t:row>
<t:row id="g_31" >
<t:label id="g_32" text="Imported WSDLs" width="100" />
<t:fixgrid id="g_33" background="#FFFFFF10" height="100%" objectbinding="#{t.UIWSDLImport.importedWSDLs}" rowheight="14" sbvisibleamount="20" suppressheadline="true" width="100%" >
<t:gridcol id="g_34" text="WSDL File Name" width="100%" >
<t:treenode id="g_35" />
</t:gridcol>
</t:fixgrid>
</t:row>
<t:rowdistance id="g_36" height="3" />
<t:row id="g_37" rendered="#{t.UIWSDLImport.wsdlSelected}" >
<t:coldistance id="g_38" width="100" />
<t:button id="g_39" actionListener="#{t.UIWSDLImport.onGenerarteStubCode}" text="Generate Stub Code" width="200" />
</t:row>
<t:row id="g_40" rendered="#{t.UIWSDLImport.operationSelected}" >
<t:coldistance id="g_41" width="100" />
<t:button id="g_42" actionListener="#{t.UIWSDLImport.onGenerarteCallTemplate}" text="Generate Call Template" width="200" />
</t:row>
</t:foldablepane>
</t:row>
<t:row id="g_43" >
<t:foldablepane id="g_44" rowdistance="2" text="(3) Refresh Project" width="100%" >
<t:row id="g_45" >
<t:coldistance id="g_46" width="100" />
<t:textpane id="g_47" text="Check that the Java code generated in step (2) is compiled before deploying." width="100%" />
</t:row>
<t:row id="g_48" >
<t:coldistance id="g_49" width="100" />
<t:button id="g_50" actionListener="#{t.UIWSDLImport.onRefresh}" text="Refresh Project" width="200" />
</t:row>
</t:foldablepane>
</t:row>
<t:row id="g_51" >
<t:foldablepane id="g_52" opened="false" rowdistance="2" stylevariant="INJECTION" text="Project Injection" width="100%" >
<t:row id="g_53" >
<t:coldistance id="g_54" width="100" />
<t:button id="g_55" actionListener="#{t.UIWSDLImport.onInjectProject}" text="Inject Project" width="200" />
</t:row>
</t:foldablepane>
</t:row>
</t:rowbodypane>
<t:pageaddons id="g_pa"/>
</f:subview>
</h:form>
</f:view>
<!-- ========== CONTENT END ========== -->
